package provide DS9 1.0

proc RefHelp {} {
    global help
    Netscape "openURL($help(ref))"
}

proc RefHelpPref {} {
    global help
    set result $help(ref)
    if [EntryDialog "Help" "Enter Reference Documentation Location (URL):" \
	    80 result] {
	set help(ref) $result
    }
}

proc UserHelp {} {
    global help
    Netscape "openURL($help(user))"
}

proc UserHelpPref {} {
    global help
    set result $help(user)
    if [EntryDialog "Help" "Enter User Documentation Location (URL):" \
	    80 result] {
	set help(user) $result
    }
}

proc HelpDesk {} {
    global help
    Netscape "mailto($help(email))"
}

proc Netscape {command} {
    global help

    set w ".help"
    DisplayStatusMsg $w "Starting Help, please wait..."
    if [catch {exec netscape -raise -remote "$command"}] {
	catch {exec netscape &}
	for {set i 0} {$i < $help(try)} {incr i} {
	    after 1000
	    if {![catch {exec netscape -raise -remote "$command"}]} {
		DestroyStatusMsg $w
		return
	    }
	}
	DestroyStatusMsg $w
	Error "Help: Unable to execute netscape."
	return
    }
    DestroyStatusMsg $w
}
