package provide DS9 1.0

proc EnterFrameCrosshair {which} {
    set coord [$which get crosshair]
    set x [lindex $coord 0]
    set y [lindex $coord 1]

    UpdateInfoBox $which $x $y canvas
    MotionGraphCrosshair $which
}

proc ButtonCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair begin motion $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which} {
		switch $ds9(displaymode) {
		    single {$f crosshair $coord $crosshair(lock)}
		    tile {$f crosshair begin motion $coord $crosshair(lock)}
		    blink {}
		}
	    }
	}
    }

    UpdateInfoBox $which $x $y canvas
    MotionGraphCrosshair $which
}

proc MotionCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair motion $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which} {
		switch $ds9(displaymode) {
		    single {$f crosshair $coord $crosshair(lock)}
		    tile {$f crosshair motion $coord $crosshair(lock)}
		    blink {}
		}
	    }
	}
    }

    UpdateInfoBox $which $x $y canvas
    MotionGraphCrosshair $which
}

proc ReleaseCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which} {
		$f crosshair $coord $crosshair(lock)
	    }
	}
    }

    UpdateInfoBox $which $x $y canvas
    MotionGraphCrosshair $which
}

proc ArrowKeyCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair warp $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which} {
		$f crosshair $coord $crosshair(lock)
	    }
	}
    }

    set coord [$which get crosshair]
    set X [lindex $coord 0]
    set Y [lindex $coord 1]
    UpdateInfoBox $which $X $Y canvas
    MotionGraphCrosshair $which
}
